package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (定值报告)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (定值报告) 实体类
 */
@Data
@TableName(value = "fixed_value_report", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(定值报告)")
public class FixedValueReport extends BaseEntity {

    /**
     * (定值报告URL)
     */
    @ApiModelProperty(value="(定值报告URL)")
    private String fixedValueReport;

    /**
     * 标准物质ID
     */
    @ApiModelProperty(value="标准物质ID")
    private String referenceSubstanceId;

    /**
     * fixedValueReportId
     */
    @TableId(value = "fixed_value_report_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="fixedValueReportId")
    private String fixedValueReportId;

    /**
     * 定值结果
     */
    @ApiModelProperty(value="定值结果")
    private String fixedResult;






}
