package digital.laboratory.platform.reagent.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ComplianceCheckDTO {

    @ApiModelProperty(value="(录入检查结论)")
    private String examinationConclusion;

    @ApiModelProperty(value="(录入检查方案)")
    private String inspectionScheme;

    @ApiModelProperty(value="(符合性检查ID，录入方案与结论时传输)")
    private String complianceCheckId;

    @ApiModelProperty(value="(品牌)")
    private String brand;

    @ApiModelProperty(value="(试剂耗材Id)")
    private String reagentConsumableId;

    @ApiModelProperty(value="(规格型号)")
    private String specificationAndModel;

    @ApiModelProperty(value="(不合格项目，录入检查结论时传输)")
    private String nonconformingItem;

    @ApiModelProperty(value="(标准物质编号，若选择的物质为标准物质，则需传输编号)")
    private String reagentConsumableNumber;

    @ApiModelProperty(value="(标准物质Id，若选择的物质为标准物质，则需传输Id)")
    private String referenceMaterialId;

    @ApiModelProperty(value="(批次ID)")
    private String batchDetailsId;


}
