package digital.laboratory.platform.reagent.vo;
import digital.laboratory.platform.reagent.entity.ComplianceCheck;
import digital.laboratory.platform.reagent.entity.ReagentConsumables;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
public class ComplianceCheckVO extends ComplianceCheck {

    @ApiModelProperty(value="(执行人名称)")
    private String executorName;

    @ApiModelProperty(value="(执行人名称)")
    private String makerName;

    @ApiModelProperty(value="(一级审核人名称)")
    private String primaryAuditorName;

    @ApiModelProperty(value="(二级审核人名称)")
    private String secondaryAuditorName;

    private String department;

    @ApiModelProperty(value="(试剂耗材对象)")
    private ReagentConsumables reagentConsumables;
    private String type = "符合性检查";

    private String createName;



}
